Subject: bug#66416: 29.1; Crashes when visiting HELLO file with pgtk on Wayland

From: Yuchen Guo <[email-masked]>
Date: Mon, 09 Oct 2023 19:07:07 +0000

Eli Zaretskii <[email-masked]> writes:

> [Pleased use Reply All to reply, so that the bug tracker is CC'ed.]

Thanks.  Haven't pressed `F' (wide-reply) in Gnus before.  Still learning.

> Regardless of this, we would still like to see a full human-readable
> backtrace with your original setup, so that we could prevent those
> crashes if that is feasible.

Emacs just crashed again after sending you the last email.
Here is the output from gdb

     https://codeberg.org/m0p/ublock-origin-mirror/raw/branch/main/gdb-1.txt

> If the default configuration somehow didn't work for you, please
> describe the problems, and we will see if the defaults need some
> changes.

I would like to use

- NewComputerModernMono10 as default Monospace font,
- Tex Gyre Schola as both Serif and Sans Serif font,
- Fallback to STIX Two Math for missing mathematical symbols
- Fallback to Noto Serif CJK SC for missing 'han and 'cjk-misc glyphs

The interface looks like this when configured, but Emacs continues to
crash with this setup:

https://codeberg.org/m0p/ublock-origin-mirror/raw/branch/main/correct-font.png
https://codeberg.org/m0p/ublock-origin-mirror/raw/branch/main/auctex-1.png
https://codeberg.org/m0p/ublock-origin-mirror/raw/branch/main/auctex-stix.png

> What are the issues with font setup that Han Unification causes to
> Emacs users?

Namely, I am a Chinese speaker, of the Simpified variety on the
Mainland.  Emacs invariably chooses HK or JP glyphs by default, which I
do not understand. (I understand neither the behavior of Emacs nor the
glyphs.) I configured Simplified Chinese [SC] as fallback in fontconfig
and this works with firefox and terminal emulator.